package com.huimv.farm.damsubsidy.controller;


import cn.hutool.core.date.DateTime;
import com.huimv.farm.damsubsidy.common.token.TokenSign;
import com.huimv.farm.damsubsidy.common.utils.Result;
import com.huimv.farm.damsubsidy.entity.BillLandingInspection;
import com.huimv.farm.damsubsidy.service.IBillLandingInspectionService;
import com.huimv.farm.damsubsidy.service.impl.BillLandingInspectionServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import java.sql.Date;
import java.time.LocalDateTime;
import java.util.Map;

/**
 * <p>
 * 落地检 前端控制器
 * </p>
 *
 * @author author
 * @since 2023-04-26
 */
@RestController
@RequestMapping("/bill-landing-inspection")
public class BillLandingInspectionController {
    @Autowired
    private IBillLandingInspectionService iBillLandingInspectionService;

    @PostMapping("/addApplication")
    public Result addApplication(HttpServletRequest httpServletRequest, @RequestBody BillLandingInspection billLandingInspection){
        return iBillLandingInspectionService.addApplication(httpServletRequest,billLandingInspection);
    }

    @PostMapping("/cancelApplication")
    public Result cancelApplication(HttpServletRequest httpServletRequest, @RequestBody BillLandingInspection billLandingInspection){
        return iBillLandingInspectionService.cancelApplication(httpServletRequest,billLandingInspection);
    }

    @PostMapping("/listApplication")
    public Result listApplication(HttpServletRequest httpServletRequest, @RequestBody Map<String, String> paramsMap){
        return iBillLandingInspectionService.listApplication(httpServletRequest,paramsMap);
    }


}
