package com.huimv.farm.damsubsidy.controller;


import cn.hutool.core.date.DateTime;
import com.huimv.farm.damsubsidy.common.token.TokenSign;
import com.huimv.farm.damsubsidy.common.utils.Result;
import com.huimv.farm.damsubsidy.entity.BillSubsidy;
import com.huimv.farm.damsubsidy.service.IBillSubsidyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

/**
 * <p>
 * 补贴信息表 前端控制器
 * </p>
 *
 * @author author
 * @since 2023-04-26
 */
@RestController
@RequestMapping("/bill-subsidy")
public class BillSubsidyController {
    @Autowired
    private IBillSubsidyService iBillSubsidyService;

    @PostMapping("/addApplication")
    public Result addApplication(HttpServletRequest httpServletRequest, @RequestBody BillSubsidy billSubsidy){
        return iBillSubsidyService.addApplication(httpServletRequest,billSubsidy);
    }

    @PostMapping("/saveApplication")
    public Result saveApplication(HttpServletRequest httpServletRequest, @RequestBody BillSubsidy billSubsidy){
        return iBillSubsidyService.saveApplication(httpServletRequest,billSubsidy);
    }

}
