package com.huimv.farm.damsubsidy.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import java.util.Date;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 落地检
 * </p>
 *
 * @author author
 * @since 2023-04-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("bill_isolated")
public class BillIsolated extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private String inspectionName;

    /**
     * 进度; 0隔离中，1延期，2隔离结束
     */
    private Integer isolatedSch;

    /**
     * 检疫证号
     */
    private String inspectionNum;

    /**
     * 隔离位置
     */
    private String isolatedPosition;

    /**
     * 隔离开始时间
     */
    private LocalDate strIsolated;

    /**
     * 隔离天数
     */
    private Integer dayIsolated;

    /**
     * 隔离结束时间
     */
    private LocalDate endIsolated;

    /**
     * 延期天数
     */
    private Integer extendDay;

    /**
     * 隔离日志url
     */
    private String isolatedPicUrl;

}
