package com.huimv.farm.damsubsidy.controller;


import com.huimv.farm.damsubsidy.common.utils.Result;
import com.huimv.farm.damsubsidy.service.IBillIsolatedService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 * 落地检 前端控制器
 * </p>
 *
 * @author author
 * @since 2023-04-26
 */
@RestController
@RequestMapping("/bill-isolated")
public class BillIsolatedController {

    @Autowired
    private IBillIsolatedService iBillIsolatedService;

    @PostMapping("/addIsolation")
    public Result addIsolation(HttpServletRequest httpServletRequest, @RequestBody Map<String, String> paramsMap){
        return iBillIsolatedService.addIsolation(httpServletRequest,paramsMap);
    }

}
